
TYPO3 Flow Base Distribution - Bug # 46290

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2013-03-14 Assigned To: Rens Admiraal
Updated: 2013-04-05 Due date:
Affected Flow version: Git master
Subject: Remove unnecessary checks for file_exists and is_dir in FileMonitor
Description

The FileMonitor is massively slow on Windows, this is just because file access on windows from PHP is slow. Therefor unnecessary
calls to the filesystem should be prevented.

Associated revisions
Revision 203534c8 - 2013-03-15 17:35 - Rens Admiraal

[BUGFIX] Remove unneeded filesystem calls

This change removes a call to is_dir in the FileMonitor
which is duplicate as the ReadDirectoryRecursively does
exactly the same and throws an error in this case.

Also 2 calls to file_exists are removed as they're not
necessary at this point as filemtime() will just return
FALSE if something goes wrong.

Change-Id: I93c624cf5d5684d0fe33e8fdf348c535b742d54a
Resolves: #46290
Releases: master, 2.0

Revision df077213 - 2013-03-27 12:05 - Rens Admiraal

[BUGFIX] Remove unneeded filesystem calls

This change removes a call to is_dir in the FileMonitor
which is duplicate as the ReadDirectoryRecursively does
exactly the same and throws an error in this case.

Also 2 calls to file_exists are removed as they're not
necessary at this point as filemtime() will just return
FALSE if something goes wrong.

Change-Id: I93c624cf5d5684d0fe33e8fdf348c535b742d54a
Resolves: #46290
Releases: master, 2.0

Revision ab5f67c4 - 2013-04-05 11:44 - Rens Admiraal

[BUGFIX] Remove unneeded filesystem calls
This change removes a call to is_dir in the FileMonitor
which is duplicate as the ReadDirectoryRecursively does
exactly the same and throws an error in this case.
Also 2 calls to file_exists are removed as they're not
necessary at this point as filemtime() will just return
FALSE if something goes wrong.

Change-Id: I93c624cf5d5684d0fe33e8fdf348c535b742d54a
Resolves: #46290
Releases: master, 2.0

History
#1 - 2013-03-14 17:25 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18912

#2 - 2013-03-15 16:59 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18912

#3 - 2013-03-15 17:01 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/18950

#4 - 2013-03-15 17:35 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/18912

#5 - 2013-03-15 22:36 - Rens Admiraal
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:203534c808fc5514829692be63c031ed2126bca9.

#6 - 2013-03-20 16:27 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/18950
#7 - 2013-03-27 12:08 - Gerrit Code Review

Patch set 1 for branch composer has been pushed to the review server.
It is available at https://review.typo3.org/19357

#8 - 2013-03-27 13:37 - Rens Admiraal
- Status changed from Under Review to Resolved

Applied in changeset commit:df0772139861a596953d0994fb5b103e40a11ce7.

#9 - 2013-04-05 11:45 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 3 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.org/18950

#10 - 2013-04-05 12:37 - Rens Admiraal
- Status changed from Under Review to Resolved

Applied in changeset commit:ab5f67c48ab44a96d29aab0f5b08a0b9e8bccdc7.
